## net.dontdrinkandroot.lastfm.api.model
Class Coordinate

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.LfmEntity
          net.dontdrinkandroot.lastfm.api.model.Coordinate

All Implemented Interfaces:
  java.io.Serializable

    public class Coordinate

extends LfmEntity
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Coordinate(org.w3c.dom.Element element)` Create a Coordinate from an XML Element.

Method Summary
`java.lang.Float` `getLatitude()`
`java.lang.Float` `getLongitude()`
`java.lang.Float` `lat()`
`java.lang.Float` `lon()`
`void` `setLatitude(java.lang.Float latitude)`
`void` `setLongitude(java.lang.Float longitude)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Coordinate

    public Coordinate(org.w3c.dom.Element element)

  Create a Coordinate from an XML Element.

  Parameters:
    `element` - The XML Element to create the Coordinate from.

Method Detail

### getLatitude

    public final java.lang.Float getLatitude()

### getLongitude

    public final java.lang.Float getLongitude()

### setLatitude

    public final void setLatitude(java.lang.Float latitude)

### setLongitude

    public final void setLongitude(java.lang.Float longitude)

### lat

    public final java.lang.Float lat()

### lon

    public final java.lang.Float lon()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.